Loading...
Searching...
No Matches
lansy/he: Symmetric/Hermitian matrix norm
Dense LA » MAGMA BLAS and Auxiliary » Matrix norms

1, Frobenius, or Infinity norm; or largest element More...

## Functions

float | magmablas_clanhe (magma_norm_t norm, magma_uplo_t uplo, magma_int_t n, magmaFloatComplex_const_ptr dA, magma_int_t ldda, magmaFloat_ptr dwork, magma_int_t lwork, magma_queue_t queue)
| CLANHE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a complex Hermitian matrix A.
double | magmablas_dlansy (magma_norm_t norm, magma_uplo_t uplo, magma_int_t n, magmaDouble_const_ptr dA, magma_int_t ldda, magmaDouble_ptr dwork, magma_int_t lwork, magma_queue_t queue)
| DLANSY returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real symmetric matrix A.
float | magmablas_slansy (magma_norm_t norm, magma_uplo_t uplo, magma_int_t n, magmaFloat_const_ptr dA, magma_int_t ldda, magmaFloat_ptr dwork, magma_int_t lwork, magma_queue_t queue)
| SLANSY returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real symmetric matrix A.
double | magmablas_zlanhe (magma_norm_t norm, magma_uplo_t uplo, magma_int_t n, magmaDoubleComplex_const_ptr dA, magma_int_t ldda, magmaDouble_ptr dwork, magma_int_t lwork, magma_queue_t queue)
| ZLANHE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a complex Hermitian matrix A.

## Detailed Description

1, Frobenius, or Infinity norm; or largest element

## Function Documentation

## magmablas_clanhe()

float magmablas_clanhe | ( | magma_norm_t | norm,
|  | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaFloatComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dwork,
|  | magma_int_t | lwork,
|  | magma_queue_t | queue )

CLANHE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a complex Hermitian matrix A.

CLANHE = ( max(abs(A(i,j))), NORM = MagmaMaxNorm ( ( norm1(A), NORM = MagmaOneNorm ( ( normI(A), NORM = MagmaInfNorm ( ( normF(A), NORM = MagmaFrobeniusNorm ** not yet supported

where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

On error, returns CLANHE < 0: if CLANHE = -i, the i-th argument had an illegal value.

## Arguments:

Parameters

  [in] | norm | magma_norm_t Specifies the value to be returned in CLANHE as described above.

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the Hermitian matrix A is to be referenced.
  - = MagmaUpper: Upper triangular part of A is referenced
  - = MagmaLower: Lower triangular part of A is referenced

  [in] | n | INTEGER The order of the matrix A. N >= 0. When N = 0, CLANHE is set to zero.

  [in]

  dA

  COMPLEX array on the GPU, dimension (LDDA,N) The Hermitian matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. Note that the imaginary parts of the diagonal elements need not be set and are assumed to be zero.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(N,1).
  | dwork | (workspace) REAL array on the GPU, dimension (MAX(1,LWORK)), where LWORK >= N. NOTE: this is different than LAPACK, where WORK is required only for norm1 and normI. Here max-norm also requires WORK.
  [in] | lwork | INTEGER The dimension of the array DWORK. LWORK >= max( 1, N ).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dlansy()

double magmablas_dlansy | ( | magma_norm_t | norm,
|  | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaDouble_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dwork,
|  | magma_int_t | lwork,
|  | magma_queue_t | queue )

DLANSY returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real symmetric matrix A.

DLANSY = ( max(abs(A(i,j))), NORM = MagmaMaxNorm ( ( norm1(A), NORM = MagmaOneNorm ( ( normI(A), NORM = MagmaInfNorm ( ( normF(A), NORM = MagmaFrobeniusNorm ** not yet supported

where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

On error, returns DLANSY < 0: if DLANSY = -i, the i-th argument had an illegal value.

## Arguments:

Parameters

  [in] | norm | magma_norm_t Specifies the value to be returned in DLANSY as described above.

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the symmetric matrix A is to be referenced.
  - = MagmaUpper: Upper triangular part of A is referenced
  - = MagmaLower: Lower triangular part of A is referenced

  [in] | n | INTEGER The order of the matrix A. N >= 0. When N = 0, DLANSY is set to zero.

  [in]

  dA

  DOUBLE PRECISION array on the GPU, dimension (LDDA,N) The symmetric matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. Note that the imaginary parts of the diagonal elements need not be set and are assumed to be zero.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(N,1).
  | dwork | (workspace) DOUBLE PRECISION array on the GPU, dimension (MAX(1,LWORK)), where LWORK >= N. NOTE: this is different than LAPACK, where WORK is required only for norm1 and normI. Here max-norm also requires WORK.
  [in] | lwork | INTEGER The dimension of the array DWORK. LWORK >= max( 1, N ).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_slansy()

float magmablas_slansy | ( | magma_norm_t | norm,
|  | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaFloat_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dwork,
|  | magma_int_t | lwork,
|  | magma_queue_t | queue )

SLANSY returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a real symmetric matrix A.

SLANSY = ( max(abs(A(i,j))), NORM = MagmaMaxNorm ( ( norm1(A), NORM = MagmaOneNorm ( ( normI(A), NORM = MagmaInfNorm ( ( normF(A), NORM = MagmaFrobeniusNorm ** not yet supported

where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

On error, returns SLANSY < 0: if SLANSY = -i, the i-th argument had an illegal value.

## Arguments:

Parameters

  [in] | norm | magma_norm_t Specifies the value to be returned in SLANSY as described above.

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the symmetric matrix A is to be referenced.
  - = MagmaUpper: Upper triangular part of A is referenced
  - = MagmaLower: Lower triangular part of A is referenced

  [in] | n | INTEGER The order of the matrix A. N >= 0. When N = 0, SLANSY is set to zero.

  [in]

  dA

  REAL array on the GPU, dimension (LDDA,N) The symmetric matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. Note that the imaginary parts of the diagonal elements need not be set and are assumed to be zero.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(N,1).
  | dwork | (workspace) REAL array on the GPU, dimension (MAX(1,LWORK)), where LWORK >= N. NOTE: this is different than LAPACK, where WORK is required only for norm1 and normI. Here max-norm also requires WORK.
  [in] | lwork | INTEGER The dimension of the array DWORK. LWORK >= max( 1, N ).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zlanhe()

double magmablas_zlanhe | ( | magma_norm_t | norm,
|  | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaDoubleComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dwork,
|  | magma_int_t | lwork,
|  | magma_queue_t | queue )

ZLANHE returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a complex Hermitian matrix A.

ZLANHE = ( max(abs(A(i,j))), NORM = MagmaMaxNorm ( ( norm1(A), NORM = MagmaOneNorm ( ( normI(A), NORM = MagmaInfNorm ( ( normF(A), NORM = MagmaFrobeniusNorm ** not yet supported

where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

On error, returns ZLANHE < 0: if ZLANHE = -i, the i-th argument had an illegal value.

## Arguments:

Parameters

  [in] | norm | magma_norm_t Specifies the value to be returned in ZLANHE as described above.

  [in]

  uplo

  magma_uplo_t Specifies whether the upper or lower triangular part of the Hermitian matrix A is to be referenced.
  - = MagmaUpper: Upper triangular part of A is referenced
  - = MagmaLower: Lower triangular part of A is referenced

  [in] | n | INTEGER The order of the matrix A. N >= 0. When N = 0, ZLANHE is set to zero.

  [in]

  dA

  COMPLEX*16 array on the GPU, dimension (LDDA,N) The Hermitian matrix A. If UPLO = MagmaUpper, the leading n by n upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = MagmaLower, the leading n by n lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. Note that the imaginary parts of the diagonal elements need not be set and are assumed to be zero.

  [in] | ldda | INTEGER The leading dimension of the array A. LDDA >= max(N,1).
  | dwork | (workspace) DOUBLE PRECISION array on the GPU, dimension (MAX(1,LWORK)), where LWORK >= N. NOTE: this is different than LAPACK, where WORK is required only for norm1 and normI. Here max-norm also requires WORK.
  [in] | lwork | INTEGER The dimension of the array DWORK. LWORK >= max( 1, N ).
  [in] | queue | magma_queue_t Queue to execute in.